<?xml version="1.0"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>
    <parent>
        <groupId>com.scytl.mixing</groupId>
		<artifactId>mixing</artifactId>
        <version>0.3.2</version>
    </parent>

    <artifactId>mixing-prover</artifactId>
    <name>Online Voting - Mixing - Prover</name>

    <properties>
        <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
    </properties>

    <dependencies>
        <!-- internal project dependencies-->
        <dependency>
            <groupId>com.scytl.mixing</groupId>
            <artifactId>mixing-commons</artifactId>
            <version>${project.version}</version>
        </dependency>
        <dependency>
            <groupId>com.scytl.math</groupId>
            <artifactId>scytl-math</artifactId>
            <scope>test</scope>
        </dependency>
    </dependencies>
    
    <profiles>
      <profile>
        <id>skipTestRun</id>
        <activation>
          <property>
            <name>skipTests</name>
            <value>!true</value>
          </property>
        </activation>
        <dependencies>
          <dependency>
		      <groupId>com.scytl.mixing</groupId>
		      <artifactId>mixing-commons</artifactId>
		      <version>${project.version}</version>
		      <type>test-jar</type>
		      <scope>test</scope>
		  </dependency>
        </dependencies>
      </profile>
    </profiles>

    <build>
        <resources>
            <resource>
                <directory>src/main/resources</directory>
                <filtering>true</filtering>
                <includes>
                    <include>**/version.txt</include>
                </includes>
            </resource>
            <resource>
                <directory>src/main/resources</directory>
                <filtering>false</filtering>
                <excludes>
                    <exclude>**/version.txt</exclude>
                </excludes>
            </resource>
        </resources>
    </build>

</project>
